org.eclipse.ease.modules

## Interface IScriptFunctionModifier

    public interface IScriptFunctionModifier

Interface for modules that want to globally modify JavaScript code used to wrap Java method calls. An implementing module will affect only code generated by the autoWrap mechanism of `AbstractJavaScriptModule`. Modules loaded before will not be affected. Modules loaded afterwards will be affected by code insertions.

### Field Summary

Fields
`static String` `RESULT_NAME` intermediate name of original method call return value.

### Method Summary

Methods
`String` `getPostExecutionCode(Method method)` Get code that shall be executed after actual method gets called.
`String` `getPreExecutionCode(Method method)` Get code that shall be executed before actual method gets called.

### Field Detail

#### RESULT_NAME

    static final String RESULT_NAME

intermediate name of original method call return value.

See Also:
  Constant Field Values

### Method Detail

#### getPreExecutionCode

    String getPreExecutionCode(Method method)

Get code that shall be executed before actual method gets called. As multiple modules might want to inject code make sure to avoid interactions by using commonly used variable names.

Parameters:
  `method` - method that will be called afterwards.
Returns:
  script code to be inserted before method call

#### getPostExecutionCode

    String getPostExecutionCode(Method method)

Get code that shall be executed after actual method gets called. As multiple modules might want to inject code make sure to avoid interactions by using commonly used variable names.

Parameters:
  `method` - method that will be called before.
Returns:
  script code to be inserted after method call